<?php

namespace xenMade\LD\ControllerPlugin;

use XF\ControllerPlugin\AbstractPermission;

class CategoryPermission extends AbstractPermission
{
	protected $viewFormatter = 'xenMade\LD:Permission\Category%s';
	protected $templateFormatter = 'ld_permission_category_%s';
	protected $routePrefix = 'permissions/ld-categories';
	protected $contentType = 'ld_category';
	protected $entityIdentifier = 'xenMade\LD:Category';
	protected $primaryKey = 'category_id';
	protected $privatePermissionGroupId = 'ld_link';
	protected $privatePermissionId = 'view';
}