<?php

namespace xenMade\LD\Entity;

use XF\Entity\AbstractPrefixGroup;
use XF\Mvc\Entity\Structure;

class LinkPrefixGroup extends AbstractPrefixGroup
{
	protected function getClassIdentifier()
	{
		return 'xenMade\LD:LinkPrefix';
	}

	protected static function getContentType()
	{
		return 'ld_link';
	}

	public static function getStructure(Structure $structure)
	{
		self::setupDefaultStructure(
			$structure,
			'xf_xenmade_ld_link_prefix_group',
			'xenMade\LD:LinkPrefixGroup',
			'xenMade\LD:LinkPrefix'
		);

		return $structure;
	}
}