<?php

namespace xenMade\LD\Import\Data;

use XF\Import\Data\AbstractEmulatedData;

class Category extends AbstractEmulatedData
{
	public function getImportType()
	{
		return 'ld_category';
	}

	public function getEntityShortName()
	{
		return 'xenMade\LD:Category';
	}

	protected function postSave($oldId, $newId)
	{
		\XF::runOnce('xenMadeLDCategoryImport', function()
		{
			/** @var \XF\Service\RebuildNestedSet $service */
			$service = \XF::service('XF:RebuildNestedSet', 'xenMade\LD:Category', [
				'parentField' => 'parent_category_id'
			]);
			$service->rebuildNestedSetInfo();
		});
	}
}