<?php

namespace xenMade\LD\Import\Data;

use XF\Import\Data\AbstractEmulatedData;
use XF\Import\Data\HasDeletionLogTrait;

class Link extends AbstractEmulatedData
{
	use HasDeletionLogTrait;

	public function getImportType()
	{
		return 'ld_link';
	}

	public function getEntityShortName()
	{
		return 'xenMade\LD:Link';
	}

	protected function preSave($oldId)
	{
		$this->forceNotEmpty('title', $oldId);
	}

	protected function postSave($oldId, $newId)
	{
		$this->insertStateRecord($this->state, $this->insert_date);
	}
}