<?php

namespace xenMade\LD\Alert;

use XF\Alert\AbstractHandler;

class LinkRating extends AbstractHandler
{
	public function getEntityWith()
	{
		$visitor = \XF::visitor();

		return ['Link', 'Link.Category', 'Link.Category.Permissions|' . $visitor->permission_combination_id];
	}

	public function getOptOutActions()
	{
		return ['rate'];
	}

	public function getOptOutDisplayOrder()
	{
		return 300;
	}
}