<?php

namespace xenMade\LD\Import\Data;

use XF\Import\Data\AbstractEmulatedData;

class LinkFieldValue extends AbstractEmulatedData
{
	public function getImportType()
	{
		return 'ld_link_field_value';
	}

	public function getEntityShortName()
	{
		return 'xenMade\LD:LinkFieldValue';
	}

    protected function postSave($oldId, $newId)
    {
        \XF::runOnce('xenMadeLDLinkFieldValueImport', function()
        {
            /** @var \xenMade\LD\Repository\LinkField $repo */
            $repo = $this->repository('xenMade\LD:LinkFieldValue');
            $repo->rebuildFieldCache();
        });
    }
}