<?php

namespace xenMade\LD\Import\Data;

use XF\Import\Data\AbstractEmulatedData;

class LinkPrefixGroup extends AbstractEmulatedData
{
    protected $title = '';

    public function getImportType()
    {
        return 'ld_link_prefix_group';
    }

    public function getEntityShortName()
    {
        return 'xenMade\LD:LinkPrefixGroup';
    }

    public function setTitle($title)
    {
        $this->title = $title;
    }

    protected function postSave($oldId, $newId)
    {
        $group = $this->em()->find('xenMade\LD:LinkPrefixGroup', $newId);
        if ($group)
        {
            $this->insertMasterPhrase($group->getPhraseName(), $this->title, [], true);

            $this->em()->detachEntity($group);
        }
    }
}