<?php

namespace xenMade\LD\Repository;

use XF\Repository\AbstractField;

class LinkField extends AbstractField
{
	protected function getRegistryKey()
	{
		return 'ldLinkFields';
	}

	protected function getClassIdentifier()
	{
		return 'xenMade\LD:LinkField';
	}

	public function getDisplayGroups()
	{
		return [
			'above_info' => \XF::phrase('ld_above_info'),
			'below_info' => \XF::phrase('ld_below_info'),
			'above_main' => \XF::phrase('ld_above_main'),
		];
	}
}